#!/bin/bash

MENSAGEM_DECODIFICADA='
485bdbacefe22344f6e78ca58a669242
65db27307aa0cdf0b3c0323431e08a15
d9bed3b7e151f11b8fdadf75f1db96d9
32f8e0bb6944a6efe8b1351b72b8facc
92520a5a9cf893220b9cd447f585f144
01fbdc44ef819db6273bc30965a23814
897316929176464ebc9ad085f31e7284
9d7bf075372908f55e2d945c39e0a613
6d7fce9fee471194aa8b5b6e47267f03
92520a5a9cf893220b9cd447f585f144
009520053b00386d1173f3988c55d192
897316929176464ebc9ad085f31e7284
e85dde330c34efb0e526ee3082e4353b
92520a5a9cf893220b9cd447f585f144
f4d5d0c0671be202bc241807c243e80b
2cd6ee2c70b0bde53fbe6cac3c8b8bb1
72cfd272ace172fa35026445fbef9b03
b026324c6904b2a9cb4b88d6d61c81d1
9d7bf075372908f55e2d945c39e0a613
b7269fa2508548e4032c455818f1e321
9ffbf43126e33be52cd2bf7e01d627f9
e29311f6f1bf1af907f9ef9f44b8328b
92520a5a9cf893220b9cd447f585f144
b7269fa2508548e4032c455818f1e321
01fbdc44ef819db6273bc30965a23814
897316929176464ebc9ad085f31e7284
f4d5d0c0671be202bc241807c243e80b
6d7fce9fee471194aa8b5b6e47267f03
92520a5a9cf893220b9cd447f585f144
f5302386464f953ed581edac03556e55
372e25f23b5a8ae33c7ba203412ace30
b7269fa2508548e4032c455818f1e321
92520a5a9cf893220b9cd447f585f144
2cd6ee2c70b0bde53fbe6cac3c8b8bb1
897316929176464ebc9ad085f31e7284
69b64623f86def16ce17d454b8be41ae
f4d5d0c0671be202bc241807c243e80b
7d9d25f71cb8a5aba86202540a20d405'

for HASH in $MENSAGEM_DECODIFICADA
do
	for C in {{a..z},{A..Z},{0..9},_,\\{,\\}}
	do
		RES=$(echo $C | md5sum | awk '{ print $1 }')
		if [ $RES == $HASH ]
		then
			echo $C
		fi
	done
done

